Groovy Documentation

## org.codehaus.groovy.runtime.callsite
[Java] Class MetaMethodSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.MetaMethodSite

    public abstract class MetaMethodSite
    extends MetaClassSite

Call site which caches meta method

Authors:
  Alex Tkachman

Field Summary
`protected java.lang.Class[]` | `params`

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name

Constructor Summary
`MetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, java.lang.Class[] params)`

Method Summary

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### params

    protected final java.lang.Class[] params

Constructor Detail

### MetaMethodSite

    public MetaMethodSite(CallSite site, MetaClass metaClass, MetaMethod metaMethod, java.lang.Class[] params)

Groovy Documentation